document.addEventListener('DOMContentLoaded', function () {
  const options = document.querySelectorAll('.option');
  const resultContent = document.getElementById('result-content');

  options.forEach(option => {
    option.addEventListener('click', function () {
      const type = this.getAttribute('data-type');
      let resultText = '';

      switch (type) {
        case 'silent-vigil':
          resultText = 'You have chosen a Silent Vigil. This peaceful protest involves standing or sitting quietly in a public place to show solidarity and reflection.';
          break;
        case 'march':
          resultText = 'You have chosen to March. Joining a group and walking together is a powerful way to show unity and demand change.';
          break;
        case 'artistic':
          resultText = 'You have chosen Artistic Expression. Using art, music, or performance can convey your message in a creative and impactful way.';
          break;
        case 'tiananmen':
          resultText = 'You have chosen to learn about Tiananmen Square. This historical site is a symbol of the struggle for democracy and human rights.';
          break;
        default:
          resultText = 'Please choose a protest type.';
      }

      resultContent.innerHTML = `<p>${resultText}</p>`;
    });
  });
});